Package jakarta.websocket

# Class DeploymentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.websocket.DeploymentException

All Implemented Interfaces:
  `Serializable`

public class DeploymentException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DeploymentException(String message)`
`DeploymentException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DeploymentException

public DeploymentException(String message)

### DeploymentException

public DeploymentException(String message, Throwable cause)